List of all members
clan::SocketName Class Reference
clanNetwork Socket

Socket name; container class for an IP address and port. More...

`#include <socket_name.h>`

## Public Member Functions
Construction
| SocketName ()
| Constructs a new socket name. More...
| SocketName (const std::string &port)
| Constructs a SocketName. More...
| SocketName (const std::string &address, const std::string &port)
| Constructs a SocketName. More...
Attributes
std::string | get_address () const
| Returns the address part of the socket name. More...
std::string | get_port () const
| Returns the port part of the socket name. More...
bool | operator== (const SocketName &other_instance) const
| Returns true if objects are the same. More...
bool | operator< (const SocketName &other_instance) const
| Returns true if the other address is less. More...
bool | operator> (const SocketName &other_instance) const
| Returns true if the other address is greater. More...
Operations
void | set_name (const std::string &hostname, const std::string &port)
| Set the socket name using a hostname and port. More...
void | set_address (const std::string &address)
| Set the IP address. More...
void | set_port (const std::string &port)
| Set the IP port. More...
std::string | lookup_ipv4 () const
| Perform a DNS lookup, if needed, for the IP v4 address. More...
std::string | lookup_hostname () const
| Perform a DNS lookup, if needed, for the hostname. More...
SocketName | to_ipv4 ()
| Create socket name that uses the IP v4 address as its address. More...
SocketName | to_hostname ()
| Create socket name that uses the hostname as its address. More...
void | to_sockaddr (int domain, sockaddr *addr, int len) const
| Fill the socket name into a C sockets sockaddr structure. More...
void | from_sockaddr (int domain, sockaddr *addr, int len)
| Get the socket name from a C sockets sockaddr structure. More...

## Detailed Description

Socket name; container class for an IP address and port.

The documentation for this class was generated from the following file:

- socket_name.h